

kerio.adm = {

x_28y: null,

x_10x: function(x_6b) {
if (null == kerio.adm.x_28y) {
kerio.adm.x_28y = {};
}
else {
kerio.lib.x_nq('Internal error: x_10x() - Shared constants are already initialized', 'framework.js');
}
Ext.apply(kerio.adm.x_28y, x_6b);
},

x_28z: function(x_290) {
var x_6b = kerio.adm.x_28y,
x_nq = kerio.lib.x_nq;
if (null == x_6b) {
x_nq('Internal error: x_28z() - Shared constants are not initialized yet!', 'framework.js');
return null;
}
if (x_290) {
x_6b = x_6b[x_290];
if (undefined === x_6b) {
x_nq('Internal error: x_28z() - required constant "' + x_290 +'" doesn\'t exist', 'framework.js');
x_6b = null;
}
}
return x_6b;
},

x_291: [
'logs',
'logExport',
'logFind',
'logHighlighting',
'logMessages',
'logSettings'
]
};
kerio.adm.x_1bc = {
x_292: null,

x_m: function(x_2v) {
var x_1b = kerio.lib,
x_293 = x_2v.x_10g,
x_294 = x_293.x_1b8,
x_295 = [],
x_296 = kerio.adm.x_291,
x_297,
x_298,
x_299,
x_29a,
x_29b,
x_29c,
x_1aj,
x_29d,
x_29e,
x_41,
x_42;
for (x_41 = 0, x_42 = x_296.length; x_41 < x_42; x_41++) {
x_297 = x_296[x_41];
x_2v.x_1ag[x_297] = kerio.adm.x_17[x_297];
}
this.x_29f = x_1b.x_29g;  this.x_29f.x_m({x_1ag: x_2v.x_1ag});
this.x_29h = x_293.x_1b7 || 'default';
this.x_29i = x_2v.x_10h;
x_29a = [
{x_1j: 'default', x_29j: 'flag ' + this.x_29h, x_23: x_293.x_1ba}
].concat(x_1b.x_6b.x_29k);
if (!x_294) {
x_294 = x_1b.x_29l();
if (!x_294) {
x_1b.x_nq('Internal error: Supported laguages must be defined.', 'adm/framework.js');
return;
}
}
x_298 = x_294.join(':');
for (x_41 = 0, x_42 = x_29a.length; x_41 < x_42; x_41++) {
x_299 = x_29a[x_41].x_1j;
if ('default' == x_299 || -1 != x_298.indexOf(x_299)) {
x_295.push(x_29a[x_41]);
}
}
x_29b = {
x_25: this.x_29m,
x_1e: x_295
};
this.x_29n = x_2v.x_1bb.x_6a || '/admin/logout.php';
kerio.adm.x_29o = new x_1b.x_29p('x_29q', x_29b);
x_29c = this.x_29r(x_2v);
x_2v.x_1aj.x_1ah = x_2v.x_1ah;
x_1aj = new x_1b.x_29s('x_1bd', this.x_29t(x_2v.x_1aj));
x_29d = {
x_29u: true,
x_29v: {
x_1e: [
{x_1j: 'x_29w', x_29x: true, x_29y: x_2v.x_1aj.x_1u || 200, x_1x: x_1aj},
{x_29z: {
x_1e: [
{x_1j: 'x_2a0', x_1x: x_29c, x_29y: 44},
{x_1j: 'x_2a1', x_2a2: true}
]
}}
]
}
};
x_29e = new x_1b.x_2a3('x_2a4', x_29d);
x_29e.x_1aj = x_1aj;
this.x_2a5 = x_29e;
this.x_1ag = x_2v.x_1ag;
},

x_29r: function(x_2v) {
var x_2a6 = x_2v.x_10g;
var x_2a7 = x_2v.x_2a8;
var x_2a9 = x_2v.x_1bb;
var x_2aa = {
x_1p: 'admTitleBar',
x_1e: [
'<span id="x_1be">&nbsp;<span id="x_28w"></span></span>',
'<span id="x_28x"></span>',
'->',    '<div id="x_2ab" class="link flag '+x_2a6.x_1b9+'" onclick="kerio.adm.x_29o.x_1v3(this);" ext:qtip="'
+ (x_2a6.x_1y || '') + '"'
+ ' onmouseover="kerio.adm.x_1bc.x_2ac(this, \'mouseover\')"'
+ ' onmouseout="kerio.adm.x_1bc.x_2ac(this, \'mouseout\')"></div>'
]
};
if (x_2a7) {
x_2aa.x_1e.push(
'<div id="x_2ad" class="link admHelp" ext:qtip="' +
(x_2a7.x_1y || '') + '" onclick="kerio.adm.x_1bc.x_2ae(event)"'
+ ' onmouseover="kerio.adm.x_1bc.x_2ac(this, \'mouseover\')"'
+ ' onmouseout="kerio.adm.x_1bc.x_2ac(this, \'mouseout\')"></div>'
);
this.x_2af(x_2a7, x_2a6.x_1b9);
kerio.lib.x_2ag(this.x_2ah);
}
x_2aa.x_1e.push(
'<div id="x_2ai" class="link textLink logout" ext:qtip="' +
(x_2a9.x_1y || '') + '" onclick="kerio.adm.x_1bc.x_1pm();return false;"'
+ ' onmouseover="kerio.adm.x_1bc.x_2ac(this, \'mouseover\')"'
+ ' onmouseout="kerio.adm.x_1bc.x_2ac(this, \'mouseout\')">' + x_2a9.x_23 + '</div>'
);
var x_29c = new kerio.lib.x_37('x_2aj', x_2aa);
return x_29c;
},

x_2ac: function(x_2ak, x_2al) {
var x_2am = Ext.get(x_2ak);
if (!x_2am) {
return;
}
if ('mouseover' == x_2al) {
x_2am.addClass('linkOver');
}
else {
x_2am.removeClass('linkOver');
}
},

x_2af: function(x_2a7, x_10f) {
var x_1e = x_2a7.x_1e;
var x_42 = x_1e.length;
var x_2an = {x_1e: [], x_25: function(x_1jp, x_1jq) {
var x_1bc = kerio.adm.x_1bc;
x_1bc.x_2ao(x_1bc.x_2ap[x_1jq.x_1j]);
}
};
var x_g6;
var x_6a;
var x_16;
for (var x_41 = 0; x_41 < x_42; x_41++) {
x_g6 = x_1e[x_41];
x_6a = x_g6.x_6a;
x_16 = x_g6.x_16;
if (x_6a) {
x_6a += (-1 == x_6a.indexOf('?')) ? '?' : '&';
x_6a += 'lang=' + x_10f;
x_g6.x_6a = x_6a;
}
else {
this.x_2aq = x_16;
}
x_2an.x_1e.push({x_1j: x_41, x_23: x_g6.x_23});
}
if (x_42 > 1) {
this.x_2ar = new kerio.lib.x_29p('x_2as', x_2an);
}
this.x_2ap = x_2a7.x_1e;
},

x_29t: function(x_2at) {
var x_2au = x_2at.x_1y;
var x_1ak;
var x_1bc = kerio.adm.x_1bc;
var x_5z = x_2at.x_1an;
x_2at.x_25 = function(x_2av, x_4e) {
var x_2aw = x_2av.x_2aw;
if (!x_2aw) { return;
}
var x_n = (x_2aw.x_n) ? x_2aw.x_n : x_2aw.x_5g;
var x_1bc = kerio.adm.x_1bc;
x_1bc.x_2ax = x_2av;
x_1bc.x_2ay(x_2aw);
x_1bc.x_2az(x_n);
x_1bc.x_2b0(x_2aw.x_2b1);
};
if (x_2at.x_1ah) {
x_1bc.x_2b2 = x_2at.x_1ah;
x_2at.x_2b3 = x_1bc.x_2b4;
}
if (x_2au) {
x_2at.x_2b5 = x_2au.x_2b6;
x_2au.x_1an = x_2at.x_1an;
x_5z = [x_2au];
x_2au.x_cz = 'nodeIcon' + (x_2au.x_cz ? ' ' + x_2au.x_cz : '');
}
this.x_2b7(x_5z);
x_2at.x_5z = x_5z;
delete x_2at.x_1y;
delete x_2at.x_1an;
return x_2at;
},

x_2b7: function(x_1an) {
var x_1pe;
var x_1ak;
for (var x_41 = 0, x_42 = x_1an.length; x_41 < x_42; x_41++) {
x_1pe = x_1an[x_41];
x_1ak = x_1pe.x_1ak;
x_1pe.x_cy = x_1pe.x_cz;
x_1pe.x_1p = x_1pe.x_1ao;
if (x_1pe.x_1an) {
this.x_2b7(x_1pe.x_1an);
}
if (x_1ak) {
if (undefined === x_1ak.x_1y) {
x_1ak.x_1y = x_1pe.x_23;
}
x_1pe.x_2aw = x_1ak;
}
}
},

x_29m: function(x_1jp, x_1jq) {
var x_10g = x_1jq.x_1j;
var x_1bc = kerio.adm.x_1bc;
if ('default' == x_10g) {
x_10g = x_1bc.x_29h;
}
kerio.lib.x_2b8('x_2ab').className = 'link flag ' + x_10g; x_1jp.x_2r(); x_1bc.x_2a5.x_24();
var x_28 = {settings: {language: x_10g}};
var x_j4 = {
x_6p: 'post',
x_28: {'object': 'UserManager', 'method': 'setMySettings', 'params': kerio.lib.x_6r(x_28)},
x_2e: x_1bc.x_2b9,
x_2q: this
};
kerio.lib.x_6t.x_6u(x_j4);
},

x_2b9: function() {
window.location.reload();
},

x_2ay: function(x_2v) {
if (!x_2v) {
return;
}
var x_n = (x_2v.x_n) ? x_2v.x_n : x_2v.x_5g;
var x_2ba = this.x_29f.x_b0(x_n);
var x_2bb = this.x_292;
var x_2bc;
var x_1b = kerio.lib;
var x_2bd;
delete this.x_2a5.x_1al;
if (x_2ba) {
this.x_2a5.x_1al = x_2v.x_1al;
if (x_2bb && x_2bb.x_2be) {
x_2bb.x_2be.call(x_2bb);
}
x_2bc = x_2ba.x_2bf;
if (!x_2bc) {
x_2bc = this.x_2bg(x_2ba);
}
x_2bd = {x_1j: 'x_2a1', x_1x: x_2bc};
x_1b.x_2b8('x_1be').className = x_2v.x_1p;
x_1b.x_2b8('x_28w').innerHTML = x_2v.x_1y;
this.x_2a5.x_2bh(x_2bd);
if (x_2ba.x_2c) {
x_2ba.x_2c.call(x_2ba, x_2v.x_28);
}
if (x_2ba.x_2bi) {
x_2ba.x_2bi.call(x_2ba);
}
this.x_292 = x_2ba;
}
else {
x_2v.x_2bj = arguments.callee;
x_2v.x_2bk = this;
this.x_29f.x_2bl(x_2v);
}
}, 
x_1pm: function() {
var x_j4 = {
x_6a: this.x_29n,
x_6p: 'post',
x_28: {},
x_2e: function(x_6v) {
var x_dg = x_6v.x_ac;
if (!x_dg) {
return;
}
var x_2bm = 'login.php';
if (x_dg.returnValue) {
x_2bm += '?logout';
}
else if ('invalid token' == x_dg.error) {
x_2bm = './';
}
window.location = x_2bm;
}
};
kerio.lib.x_6t.x_6u(x_j4);
}, 

x_2b4: function(x_1pi, x_1pj, x_4e) {
if (!x_1pj) {
return true;
}
return kerio.adm.x_1bc.x_2b2(x_1pi, x_1pj, x_4e);
}, 
x_2bg: function(x_2ba) {
var x_2o = x_2ba.x_2bn || x_2ba.x_2o,
x_2bo = new Ext.Panel({
id: x_2ba.x_1j + '_wrap',
items: [x_2o],
layout: 'fit',
border: false,
cls: 'mainScreenWrapPanel'
});
if (!(x_2ba instanceof kerio.lib.x_1bn)) {
x_2o.addClass('mainScreen');
if (x_2ba instanceof kerio.lib.x_1t) {
x_2ba.x_2o.bodyStyle = 'padding: 10px;	border-width: 1px;';
}
}
x_2ba.x_2bf = {x_1j: x_2bo.id, x_2o: x_2bo, x_2ba: x_2ba};
return x_2ba.x_2bf;
},

x_2az: function(x_n) {
this.x_2bp = x_n;
},

x_2ae: function(x_4e) {
this.x_2bq = Ext.apply({}, x_4e);
if (this.x_2ar) {
this.x_2ar.x_1v3(kerio.lib.x_2b8('x_2ad'));
}
else {
this.x_2ao(this.x_2ap[0]);
}
},

x_2ao: function(x_2br) {
if (x_2br.x_6a) {
this.x_2bs(this.x_2bq, x_2br.x_6a);
}
else {
kerio.lib.x_5l.x_5m(x_2br.x_16);
}
},

x_2bs: function(x_4e, x_6a) {
var x_2bt = 410;
var x_2bu = 670;
var x_2bv = 12;
var x_2bw;
var x_2bx;
var x_2by;
var x_2bz;
if (Ext.isIE) {
x_2by = 40;
x_2bz = (0 < navigator.appVersion.indexOf('Windows NT 6.')) ? 11 : 8;  }
else if (Ext.isGecko) {
x_2by = Ext.isMac ? 20 : 44;
x_2bz = Ext.isMac ? 1 : -1;
}
else {
x_2by = 31;
x_2bz = 1;
}
var x_19x = screen.availWidth;
var x_2c0 = window.screenY || window.screenTop || 0;
var x_2c1 = window.screenX || window.screenLeft || 0;
var x_2c2 = (window.outerWidth || document.body.offsetWidth || 0) + x_2bz;
var x_2c3 = window.outerHeight || document.body.offsetHeight || 0;
var x_28 = 'resizable=1, scrollbars=1, ';
var x_2c4 = this.x_2c5;
var x_2c6 = 'Help';
var x_154 = kerio.adm.x_28y;
if (Ext.isSafari && Ext.isWindows && x_2c4 && !x_2c4.closed && x_2c4.location && x_2c4.location.href) {
x_28 += 'height=' + x_2c4.innerHeight;
x_2bw = x_2c4.screenLeft;
x_2bx = x_2c4.screenTop;
x_2bt = x_2c4.innerWidth;
x_2c4.close();
x_2c6 += new Date().valueOf();
x_2c4 = null;
}
else if (x_2c1 + x_2c2 + x_2bt < x_19x) {
x_2bw = x_2c1 + x_2c2;
x_2bx = x_2c0;
x_2bu = x_2c3 - (Ext.isIE ? x_2bz/2 : (Ext.isSafari ? 23 : 0));  x_28 += (Ext.isGecko ? 'outerHeight=' : 'height=') + x_2bu;
}
else {
x_2bw = x_19x - x_2bt - x_2bv - x_2bz;
x_2bx = x_4e.screenY + x_2by - (undefined !== x_4e.offsetY ? x_4e.offsetY : x_4e.clientY);
x_28 += ', height=' + x_2bu;
}
x_28 += ', left=' + x_2bw + ',top=' + x_2bx + ', width=' + x_2bt;
x_6a += '&content=' + this.x_2bp;
if (x_154 && x_154.x_2c7) {
x_6a += '&buildversion=' + x_154.x_2c7;  }
if (x_2c4 && !x_2c4.closed && x_2c4.location && x_2c4.location.href) {
x_2c4.location.href = x_6a;
}
else {
x_2c4 = window.open(x_6a, x_2c6, x_28);
this.x_2c5 = x_2c4;
}
x_2c4.focus();
},

x_2b0: function(x_2b1) {
var x_28x = kerio.lib.x_2b8('x_28x');
var x_gc = '';
if (x_2b1) {
x_gc = x_2b1.x_2c8 + (x_2b1.x_js ? x_2b1.x_js : '');
}
x_28x.innerHTML = x_gc;
},

x_2c9: function() {
var x_2b1 = this.x_2ax.x_2o._kx.x_2aw.x_2b1;
kerio.lib.x_48(x_2b1.x_2ca, x_2b1.x_2cb);
},

x_2cc: function(x_1j, x_2c8, x_2cd, x_2ca, x_2cb) {
var x_1pe = this.x_2a5.x_1aj.x_1e[x_1j];
var x_js = null;
if (x_2cd && '' !== x_2cd) {
x_js = ' <a href="javascript:void(0)" onclick="kerio.adm.x_1bc.x_2c9()">' + x_2cd + '</a>';
}
var x_2b1 = {x_2c8: x_2c8, x_js: x_js, x_2ca: x_2ca, x_2cb: x_2cb};
if (x_1pe) {
x_1pe._kx.x_2aw.x_2b1 = x_2b1;
if (this.x_2ax.x_2o == x_1pe) {
this.x_2b0(x_2b1);
}
}
},

x_2ce: function(x_1j) {
var x_1pe = this.x_2a5.x_1aj.x_1e[x_1j];
if (x_1pe) {
delete x_1pe._kx.x_2aw.x_2b1;
if (this.x_2ax.x_2o == x_1pe) {
this.x_2b0(null);
}
}
},

x_2ah: function(x_1x) {
var x_1bc = kerio.adm.x_1bc;
var x_2cf = Ext.get('x_2ad');
var x_2c1 = window.screenX || window.screenLeft || 0;
var x_2c0 = (window.screenY || window.screenTop || 0) + (Ext.isIE ? 0 : 80);  var x_2cg = x_2c1 + x_2cf.getLeft();
var x_2ch = x_2c0 + x_2cf.getTop();
var x_2ci = {screenX: x_2cg, screenY: x_2ch, offsetX: 0, offsetY: 0};
var x_6a = x_1bc.x_2ap[0].x_6a;
var x_2cj = x_1bc.x_2bp;
x_1bc.x_2bp = ('string' == typeof(x_1x)) ? x_1x : this.x_1j;
x_1bc.x_2bs.call(x_1bc, x_2ci, x_6a);
x_1bc.x_2bp = x_2cj;
if (Ext.isIE && 'string' == typeof(x_1x)) {
setTimeout('kerio.adm.x_1bc.x_2c5.focus()', 1);
}
},

x_2ck: function () {
return this.x_2ax;
}
}; 